RPG Inventory - Custom Model Data support 2.3.2

Want to add new slots? May be also you need pets, mounts, backpacks and custom items? It's easy!

  1. OsipXD
    Native Minecraft Version:
    1.15
    Tested Minecraft Versions:
    • 1.14
    • 1.15
    Source Code:
    https://github.com/EndlessCodeGroup/RPGInventory
    Contributors:
    OsipXD and Dereku
    Languages Supported:
    Czech, German, Spanish, Japanese, Korean, Portuguese, Russian, Turkish, Zhuang
    The best way to get an answer to your question: [​IMG]
    Logo-Big-WB.png

    New inventory, pets, items and much more

    Other forums: RuBukkit | Bukkit Dev

    For 1.9 - 1.13.x use v2.3.0
    Dependencies
    The plugin requires:
    - ProtocolLib - for work with items, resource-packs, effects, etc.
    - Vault - for permissions and economy support.

    Also, for a better look, you should use a resource-pack with textures for slots. Default resource-pack you can find here.

    If you have difficulties with configuration, read the wiki, and channel #troubleshooting in discord before asking questions.

    Screenshots
    inventory.png
    assassin-gloves.png craft-extensions.png horse-summoning-stone.png horse.png slot-sell.png

    Features

    Configurable slots
    You can create slots for gloves, rings, amulets, artifacts, pets and all that you want.

    Slot for elytra
    You can make separated slots for elytra and use it with equipped armor.

    Backpacks
    You can create backpacks and specify its size. All backpack content stored inside a backpack. If you drop backpack - you drop it with all items within.

    Mounts and companions pets
    You can create mounts and companions with specified stats and look. For mounts you can use horses and pigs, and for companions - cats and wolfs.

    Force resource-pack downloading
    If you've enabled resource-pack in config.

    System of buying vanilla inventory slots
    You can lock vanilla slots by default and unlock it for experience or money.

    No commands on the player side
    Yes, it is. Commands are an admin-side thing and should not affect gameplay.

    Also, it includes
    - Notifications about updates
    - Possibility to create custom items with stats
    - Improved battle system (if you enabled it in the config)
    And many other features...

    Integrations
    RPG Player Leveling - inventory slots support
    LoreAttributesRecoded - inventory slots support
    MMOItems-RPGInventory Integration - inventory slots support for MMOItems
    MyPet - pet slot support
    PlaceholderAPI - adds placeholders for player stats, also placeholders from PAPI can be used in info slots.

    Level Systems that RPGInventory supports:
    EXP (Vanilla)
    SKILLAPI (SkillAPI)
    BATTLELEVELS (BattleLevels)
    SKILLS (Skills)
    HEROES (Heroes)
    RAC (RacesAndClasses)
    RPGPL (RPG Player Leveling)
    Class Systems that RPGInventory supports:
    PERMISSIONS (Class based on permissions),
    SKILLAPI (SkillAPI),
    SKILLS (Skills),
    HEROES (Heroes),
    RAC (RacesAndClasses)​

    Commands
    /rpginv - Show plugin commands
    /rpginv open - Open inventory
    /rpginv reload - Reload plugin config
    /rpginv [pets|food|items|bp] - Shows pets or items or backpacks or food list
    /rpginv pet [player] [pet] - Gives pet to player
    /rpginv bp [player] [backpack] - Gives backpack to player
    /rpginv item [player] [item] - Gives item to player
    /rpginv food [player] [food] (amount) - Gives food to player

    Permissions
    rpginventory.admin - Gives access to all RPGInventory commands
    rpginventory.user - Gives access to all user commands (only open command at this moment)
    rpginventory.open - Allows you to open inventory by command
    rpginventory.keep.items - Player with this permission will not lose items from vanilla inventory on death
    rpginventory.keep.armor - Player with this permission will not lose armor on death
    rpginventory.keep.rpginv - Player with this permission will not lose items from RPG inventory on death

    The best way to get an answer to your question: [​IMG]

Recent Reviews

  1. ValenGamerXD
    ValenGamerXD
    4/5,
    Version: 2.3.2
    Very nice plugin, works perfectly and now its free. I will give 5 stars if you could add classes and leveling support for MMOCore
  2. Namrod98
    Namrod98
    5/5,
    Version: 2.3.2
    They've been away for a while but now they're back.
    C.M.D support is a great thing, I'm so glad because it was added.
    Good to see this plugin alive. :)
  3. sklm
    sklm
    1/5,
    Version: 2.3.1
    custom model data support ?
    custom model data support ?
    custom model data support ?
    1. OsipXD
      Author's Response
      It is not the place for feature requests or bug reports.
      Btw, custom model data support will be added in 2.3.2.
  4. NoWhiteSky
    NoWhiteSky
    4/5,
    Version: 2.3.1
    the plugin is good but there's almost no accesory slots , please add more , thanks
    1. OsipXD
      Author's Response
      You can add any slots you need.
  5. david890504
    david890504
    4/5,
    Version: 2.3.1
    There are bugs that can infinitely brush items
    Be sure to fix
    plz
    1. OsipXD
      Author's Response
      Please write to Discord. I need more information to fix the bug
  6. Haiofpz
    Haiofpz
    1/5,
    Version: 2.3.1
    1.15 cant use.please fix it.lollllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllll
    1. OsipXD
      Author's Response
      It is not the place for bug reports. Write to discord or create an issue on GitLab
  7. SpringBonnie
    SpringBonnie
    5/5,
    Version: 2.3.1
    The best RPG plugin continues to exist. Keep it up! I hope that in the future we will see many wonderful updates. (maybe RPG Inv 3.0?)
  8. Alter-Ego
    Alter-Ego
    1/5,
    Version: 1.0.6
    The download link for paid version I'm still waiting for, have even provided the payment details/reference etc. 2 days still waiting for download link....
  9. catofelix
    catofelix
    1/5,
    Version: 1.0.6
    i need 1.9.2 to 1.12.2 .. upgrade please plugin and I PAY 10 dolars, excellent plugin congratulation
    1. OsipXD
      Author's Response
      This plugin will not updated. Now I working only on Premium version that already works on 1.12.2
  10. CuongVnZ
    CuongVnZ
    5/5,
    Version: 1.0.6
    Best plugin for RPG server but Update 1.10 and 1.11 <3 Please do not stop update this plugin .......